Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class NominateTaskCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<T>
          org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<Void>
              org.jbpm.services.task.commands.NominateTaskCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<Void>, Command<Void>

    public class NominateTaskCommand

extends UserGroupCallbackTaskCommand<Void>

Operation.Skip : [ new OperationCommand().{ status = [ Status.Created ], allowed = [ Allowed.Initiator, Allowed.BusinessAdministrator ], newStatus = Status.Obsolete, skipable = true }, new OperationCommand().{ status = [ Status.Ready ], allowed = [ Allowed.PotentialOwner, Allowed.BusinessAdministrator ], newStatus = Status.Obsolete, skipable = true }, new OperationCommand().{ status = [ Status.Reserved, Status.InProgress ], allowed = [ Allowed.Owner, Allowed.BusinessAdministrator ], newStatus = Status.Obsolete, skipable = true } ],

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupsIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`NominateTaskCommand()`
`NominateTaskCommand(long taskId, String userId, List<OrganizationalEntity> potentialOwners)`

Method Summary
`Void` | `execute(org.kie.internal.command.Context cntxt)`
`List<JaxbOrganizationalEntity>` | `getPotentialOwners()`
`void` | `setPotentialOwners(List<OrganizationalEntity> potentialOwners)`

Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand
`addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, persistIfNotExists`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NominateTaskCommand

    public NominateTaskCommand()

### NominateTaskCommand

    public NominateTaskCommand(long taskId,
                               String userId,
                               List<OrganizationalEntity> potentialOwners)

Method Detail

### setPotentialOwners

    public void setPotentialOwners(List<OrganizationalEntity> potentialOwners)

### execute

    public Void execute(org.kie.internal.command.Context cntxt)

  Specified by:
    `execute` in interface `org.drools.core.command.impl.GenericCommand<Void>`
  Overrides:
    `execute` in class `UserGroupCallbackTaskCommand<Void>`

### getPotentialOwners

    public List<JaxbOrganizationalEntity> getPotentialOwners()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.